/*
  +-----------------------------------------------------------------------+
  | (C) ADDI-DATA GmbH          Dieselstrae 3       D-77833 Ottersweier  |
  +-----------------------------------------------------------------------+
  | Tel : +49 (0) 7223/9493-0     | email    : info@addi-data.com         |
  | Fax : +49 (0) 7223/9493-92    | Internet : http://www.addi-data.com   |
  +-------------------------------+---------------------------------------+
  | Project     : API  ADDI-DATA  |     Compiler   : BORLANDC/MICROSOFT C |
  | Module name : EVENT.H         |     Version    : 3.1     / 6.0        |
  |                               |                                       |
  |                               |                                       |
  +-------------------------------+---------------------------------------+
  | Author : R. Hilpert                    Date :10/05/2004               |
  +-----------------------------------------------------------------------+
  | Description   : Header file for the ADDI-DATA event funtionality      |
  |		    driver                                                |
  +-----------------------------------------------------------------------+
  |                             UPDATES                                   |
  +----------+-----------+------------------------------------------------+
  |   Date   |   Author  |          Description of updates                |
  +----------+-----------+------------------------------------------------+
  | 10/05/04 | R. Hilpert| - Creation                                     |
  +----------+-----------+------------------------------------------------+
*/


#ifndef ADDIDATA_EVENT_HEADER
   #define ADDIDATA_EVENT_HEADER


   /*************************************************************************/
   /* Event.c                                                               */
   /*************************************************************************/


_BYTE_  b_ADDIDATA_SetEventRoutine 
                                 (DWORD dw_DriverHandle,
                                  VOID (WINAPI *v_FunctionName) (DWORD dw_DriverHandle, 
                                                                 pstr_EventFIFO ps_EventFIFO, 
                                                                 DWORD dw_EventFIFOStructSize));


_BYTE_  b_ADDIDATA_ClearEventRoutine            (DWORD dw_DriverHandle);




#endif
